Page MenuHomePhabricator

Run API integration tests suite in CI on core repo without extensions
Closed, ResolvedPublic

Description

Some API integration tests will fail with some extensions. In order to still cover all application logic, we have to run the API tests against a mediawiki instance with no extensions enabled.

Event Timeline

daniel created this task.Jan 30 2020, 11:40 PM
daniel updated the task description. (Show Details)Jan 30 2020, 11:43 PM

Change 569633 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide mediawiki-quibble-apitests-*-docker; drop from main

https://gerrit.wikimedia.org/r/569633

Change 569634 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker experimentally

https://gerrit.wikimedia.org/r/569634

Change 569635 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker fully

https://gerrit.wikimedia.org/r/569635

Change 569633 merged by jenkins-bot:
[integration/config@master] jjb: Provide mediawiki-quibble-apitests-*-docker; drop from main

https://gerrit.wikimedia.org/r/569633

Change 569634 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker experimentally

https://gerrit.wikimedia.org/r/569634

Mentioned in SAL (#wikimedia-releng) [2020-02-03T21:44:09Z] <James_F> Zuul: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker experimentally T243975

Change 569635 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker fully

https://gerrit.wikimedia.org/r/569635

Mentioned in SAL (#wikimedia-releng) [2020-02-04T01:42:33Z] <James_F> Zuul: [mediawiki] Run mediawiki-quibble-apitests-vendor-docker always T243975

Jdforrester-WMF closed this task as Resolved.Feb 4 2020, 1:42 AM

Change 570474 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Follow-up 1d72667: Also drop 'api-testing' generally

https://gerrit.wikimedia.org/r/570474

Change 570474 merged by jenkins-bot:
[integration/config@master] Follow-up 1d72667: Also drop 'api-testing' generally

https://gerrit.wikimedia.org/r/570474